---
title: 注文状況の更新
slug: DlYSU3F9MbWhsH9hiEiBQ
createdAt: 2025-08-12T21:15:13.775Z
---

{
  "id": "UpuWnF8bxItjBynrYIgen",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification",
    "servers": [
      {
        "url": "https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification"
      }
    ],
    "name": "Order status update",
    "description": "フォルターから商人の注文管理システムに通常送信される商人の処分決定に関する通知",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "timestamp",
              "kind": "optional",
              "type": "integer<int32>",
              "description": "リクエストが商人に送信された時間（1970年1月1日からの秒数）",
              "example": 0,
              "default": 1415287568
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string<FORTER_ORDER_DECISION | ORDER_STATUS_UPDATE | FORTER_ACCOUNT_STATUS_UPDATE | COMPENSATION_REQUEST_UPDATE>",
              "description": "通知の種類。この通知の場合、常にORDER_STATUS_UPDATEです。",
              "example": "",
              "default": "ORDER_STATUS_UPDATE"
            },
            {
              "name": "orderId",
              "kind": "optional",
              "type": "string",
              "description": "ユニークな注文/取引識別子",
              "example": "",
              "default": "2356fdse0rr489"
            },
            {
              "name": "merchantAction",
              "kind": "optional",
              "type": "string<RELEASE | CANCEL>",
              "description": "希望するアクション - 注文をリリースまたはキャンセルします。",
              "example": "",
              "default": "RELEASE"
            },
            {
              "name": "triggeredBy",
              "kind": "optional",
              "type": "string",
              "description": "注文状況を更新したユーザーのメール。最大文字数は75文字です。",
              "example": "",
              "default": "john_s@test.com"
            },
            {
              "name": "agentComments",
              "kind": "optional",
              "type": "string",
              "description": "ステータス更新の理由に関するエージェントのコメント。最大文字数は255文字です。",
              "example": "",
              "default": "Customer seems legit"
            },
            {
              "name": "linkToOrderInDashboard",
              "kind": "optional",
              "type": "string",
              "description": "フォルター決定ダッシュボードの注文へのリンク。",
              "example": "",
              "default": "https://portal.forter.com/transactions/2356fdse0rr489"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": ""
      }
    ],
    "hasXCodeSamples": false,
    "deprecated": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data-raw '{\n     \"timestamp\": 1415287568,\n     \"type\": \"ORDER_STATUS_UPDATE\",\n     \"orderId\": \"2356fdse0rr489\",\n     \"merchantAction\": \"RELEASE\",\n     \"triggeredBy\": \"john_s@test.com\",\n     \"agentComments\": \"Customer seems legit\",\n     \"linkToOrderInDashboard\": \"https://portal.forter.com/transactions/2356fdse0rr489\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"timestamp\": 1415287568,\n   \"type\": \"ORDER_STATUS_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToOrderInDashboard\": \"https://portal.forter.com/transactions/2356fdse0rr489\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"timestamp\": 1415287568,\n   \"type\": \"ORDER_STATUS_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToOrderInDashboard\": \"https://portal.forter.com/transactions/2356fdse0rr489\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://endpoint.YOURDOMAIN.com/orderstatusupdatenotification\"\n\npayload = json.dumps({\n   \"timestamp\": 1415287568,\n   \"type\": \"ORDER_STATUS_UPDATE\",\n   \"orderId\": \"2356fdse0rr489\",\n   \"merchantAction\": \"RELEASE\",\n   \"triggeredBy\": \"john_s@test.com\",\n   \"agentComments\": \"Customer seems legit\",\n   \"linkToOrderInDashboard\": \"https://portal.forter.com/transactions/2356fdse0rr489\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "u1ywp69bZKmndG_xftP8u",
      "type": "paragraph",
      "children": [
        {
          "text": "フォルターから商人の注文管理システムに通常送信される商人の処分決定に関する通知"
        }
      ]
    }
  ]
}